OsmoBTS - Bug #4771

Don’'t log NOTICE messages on missing uplink bursts
#1 - 10/01/2020 12:07 PM - laforge
- Assignee set to fixeria

- Priority changed from Normal to High

From a private conversation:
fixeria wrote:

there are some errors reported in osmo-bts.log when activate-all-Ichan' command is sent

this is expected, because the BTS does not receive valid Uplink bursts on active channels. Instead, osmo-trx sends NOPE indications to osmo
bts-trx, and some of them trigger Viterbi decoder. We can probably think about a possibility to suppress those NOTICE messages as they fill up
systemd-journal quite quickly, but | don't see an easy way. AFAIK, there is no way to tell the BTS whether a given Channel Activation is for load
testing or for normal subscriber connection.

There are several topics:

e bad uplink radio channel and lack of uplink bursts are pretty normal in any real-world deployment, imagine
somebody going into the basement while having a call. So it's questionable whether such behavior should
trigger any logging at all, at leats not on a per-burst or per-frame level. One can see the bad
RxLev/RxQual in measurements every 480ms, or maybe we can log the radio link timeout, but those happen at
very high intervals and won't spam the logs.

e our old discussion whether or not to introdcue log rate limiting

¢ the possibility to represent such problems with error / rate counters, rather than log lines

#2 - 10/01/2020 12:27 PM - laforge

#3 - 08/29/2021 07:39 AM - fixeria
- Status changed from New to Feedback

- % Done changed from 0 to 80

https://gerrit.osmocom.org/c/osmo-bts/+/25270 osmo-bts-trx: add rate counter for Uplink block decoding errors [NEW]
https://gerrit.osmocom.org/c/osmo-bts/+/25271 osmo-bts-trx: use LOGL_DEBUG for Uplink block decoding errors [NEW]
